Bug 129558 - FC2 install creates corrupt raid5 installs
FC2 install creates corrupt raid5 installs
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-10 08:30 EDT by Hrunting Johnson
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:43:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hrunting Johnson 2004-08-10 08:30:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040707 Firefox/0.9.2

Description of problem:
The FC2 installer uses kernel 2.6.5-1.358 as its install kernel.  In
addition to bug 109251 (raid5 parity resync skipped on anaconda
installs, which has affected every RH/FC installation I've seen), if
the installer creates a raid5 by hand or patched to actually do the
initialization, a bad raid5 array is *STILL* created because
2.6.5-1.358 has buggy raid5 resync code (it's fixed in 2.6.6-1.435.x).
 The only way to work around this is to upgrade the kernel used for
installation.  Once the raid5 is created bad, there's apparently no
way to easily correct the parity.

Note, the machine will install perfectly.  Once a disk drops from the
RAID5 array, though, the filesystem on the array will most likely be
corrupt.  The likelihood of this depends on whether or not fresh disks
are being used (don't use fresh install disks, use normal disks)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install raid5 array with FC2 installer
2. fail out drive
3. fsck filesystem on degraded array

Actual Results:  Filesystem will be corrupt

Expected Results:  Drive fails out normall and filesystem is not corrupt.

Additional info:
Comment 1 Dave Jones 2005-04-16 00:43:52 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.